Skip to main content
POST
cURL

Body

application/json
email
string
required

User email address.

password
string
required

Required for add, get_password, and change_password action.

username
string
required

User login name.

CID
string

The opaque session ID token. Required for 7.2 controllers only.

account_name
string

Account group name (default: admin).

action
string

The API action to perform. Required for 7.2 controllers only.

api
boolean

Whether logging in via API or not.

groups
string

RBAC groups to add the users to.

host_name
string

The FQDN name or IP address.

login_ip
string

IP address.

new_password
string

Required for change_password action.

no_fqdn_check
boolean

Suppressing FQDN name check.

token
string

Required for verify_token action.

what
enum<string>

Which parameter to change.

Available options:
account_name,
email,
password

Response

General v2 API response schema.

A generic API response container for v2 style APIs.

errortype
string

Error type if the API failed.

reason
string

Failure reason if the API failed.

results

API response data

return
boolean

Whether the API returned successfully